tigase.jaxmpp.gwt.client

## Class ConnectionConfiguration

- java.lang.Object
- - tigase.jaxmpp.core.client.ConnectionConfiguration
  - - tigase.jaxmpp.gwt.client.ConnectionConfiguration

-     public class ConnectionConfiguration
      extends ConnectionConfiguration

  Connection configuration object.

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.ConnectionConfiguration

      `sessionObject`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setBoshService(String boshService)` Set BOSH Service URL.

    - ### Methods inherited from class tigase.jaxmpp.core.client.ConnectionConfiguration

      `setCredentialsCallback, setDomain, setResource, setUserJID, setUserJID, setUserPassword`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setBoshService

          public void setBoshService(String boshService)

      Set BOSH Service URL.
      Parameters:
        `boshService` - BOSH service URL

Copyright © 2006–2020 Tigase. All rights reserved.